light-mode-image
Learn
API ReferenceSemantic CWT credentials

Sign a Semantic CWT credential

Roles

adminissuermanaged-issuer

Analytics Events

CREDENTIAL_COMPACT_SEMANTIC_SIGN_STARTCREDENTIAL_COMPACT_SEMANTIC_SIGN_SUCCESSCREDENTIAL_COMPACT_SEMANTIC_SIGN_FAIL
POST/v2/credentials/compact-semantic/sign

Returns a signed Semantic CWT credential generated from a provided valid payload.

Analytic events

  • CREDENTIAL_COMPACT_SEMANTIC_SIGN_START
  • CREDENTIAL_COMPACT_SEMANTIC_SIGN_SUCCESS
  • CREDENTIAL_COMPACT_SEMANTIC_SIGN_FAIL

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Request Body

application/json

Semantic CWT credential payload to sign

TypeScript Definitions

Use the request body type in TypeScript.

Sign Semantic CWT credential Request

Response Body

application/json

application/json

curl -X POST "https://example.com/v2/credentials/compact-semantic/sign" \  -H "Content-Type: application/json" \  -d '{    "payload": {      "iss": "string",      "vc": {        "type": "string",        "credentialSubject": {          "property1": "string",          "property2": "string"        }      }    }  }'
{  "id": "string",  "encoded": "string",  "decoded": {    "iss": "string",    "jti": "string",    "nbf": 0,    "exp": 0,    "iat": 0,    "aud": "string",    "sub": "string",    "vc": {      "@context": [        "string"      ],      "type": [        "string"      ],      "credentialSubject": {        "property1": "string",        "property2": "string"      }    },    "status": {      "url": "string",      "index": 0    }  }}

How would you rate this page?